Subject: Re: bug#25061: consider adding %COMPAT to default gnutls priority string

From: Ted Zlatanov <[email-masked]>
Date: Wed, 20 Dec 2017 20:15:48 -0500

On Wed, 20 Dec 2017 18:19:10 +0200 Eli Zaretskii <[email-masked]> wrote: 

EZ> Thanks, but this means Emacs will now refuse to load GnuTLS on systems
EZ> that have version 3.4 or older of the library, right?  If so, I think
EZ> the loading and the use of the function should be conditioned by an
EZ> appropriate preprocessor directive to compile that code only for
EZ> 3.5.X.

I've applied Andy's updated patch for GnuTLS 3.5.1 and older, and
hard-coded compatibility for %DUMBFW between 3.2.5 when it was
introduced and 3.5.1.

Looking forward to closing this one for good... thanks.

Ted